FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::IntrinsicProcedureRuntimeDescription Struct Reference
Inheritance diagram for Fortran::evaluate::IntrinsicProcedureRuntimeDescription:

## Public Member Functions
template<typename TR , typename... ArgInfo>
| IntrinsicProcedureRuntimeDescription (const Signature< TR, ArgInfo... > &signature, bool isElemental=false)

## Public Attributes
const std::string | name
const TypeCode | returnType
const std::vector< TypeCode > | argumentsType
const std::vector< PassBy > | argumentsPassedBy
const bool | isElemental
const GenericFunctionPointer | callable

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/intrinsics-library.h
- lib/Evaluate/intrinsics-library-templates.h